Bug 201197 - java.lang.AssertionError: Must be run in EDT
java.lang.AssertionError: Must be run in EDT
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: FTP Support
7.0.1
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Mysik
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-22 07:12 UTC by Vladimir Riha
Modified: 2011-09-06 12:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
ide log (69.93 KB, application/octet-stream)
2011-08-22 07:12 UTC, Vladimir Riha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2011-08-22 07:12:48 UTC
Created attachment 110125 [details]
ide log

I've reproduced it twice from 2 attempts.

Steps to reproduce:
1) start NetBeans with new user dir
2) create new project - PHP - PHP App from Remote Server
  a) fill in some data in Name and Location
  b) in Remote Configuration, press Manage and fill in your ftp settings and hit Test Connection. Everything should work
  c) back in Remote Configuration, fill in the rest of data and press Next
  d) list of files/folders from ftp server is displayed, press Finish

=> Exception is thrown

I hope that I guessed the product/component correctly from attached log

Product Version: NetBeans IDE Dev (Build 201108210601)
Java: 1.7.0; Java HotSpot(TM) Client VM 21.0-b17
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Comment 1 Tomas Mysik 2011-09-01 13:48:06 UTC
Fixed in web-main:

http://hg.netbeans.org/web-main/rev/4e50185f5243
Comment 2 Vladimir Riha 2011-09-06 12:18:04 UTC
verified...

Product Version: NetBeans IDE Dev (Build 201109040600)
Java: 1.7.0; Java HotSpot(TM) Client VM 21.0-b17
System: Windows 7 version 6.1 running on x86; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo